#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct GetUnitsResponse {
    #[builder(
        default,
        map(
            key(type = super::UnitProperty),
            value(
                custom(
                    type = impl
                    IntoIterator<Item = super::Unit>,
                    convert = |v|v.into_iter().collect()
                )
            )
        )
    )]
    #[serde(
        rename = "unitsByProperty",
        skip_serializing_if = "std::collections::BTreeMap::is_empty",
        default
    )]
    units_by_property: std::collections::BTreeMap<
        super::UnitProperty,
        std::collections::BTreeSet<super::Unit>,
    >,
}
impl GetUnitsResponse {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn units_by_property(
        &self,
    ) -> &std::collections::BTreeMap<
        super::UnitProperty,
        std::collections::BTreeSet<super::Unit>,
    > {
        &self.units_by_property
    }
}
